Skip to main content
POST
/
v0
/
pages
/
{page_id}
/
restore
Restore page
curl --request POST \
  --url https://api.tryarchitect.com/v0/pages/{page_id}/restore \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '{}'
{
  "actions": [
    {
      "actionId": "<string>",
      "actionIndex": 123,
      "purpose": "<string>",
      "buttonTitle": "<string>",
      "actionType": "<string>",
      "url": "<string>"
    }
  ],
  "actionCardWidgets": [
    {
      "type": "<string>",
      "title": "<string>",
      "logos": [
        {
          "image": {
            "altText": "<string>",
            "url": "<string>",
            "fileId": "<string>",
            "assetId": "<string>"
          }
        }
      ]
    }
  ],
  "archivedAt": "<string>",
  "audiencesCount": 4503599627370495,
  "brandId": "<string>",
  "createdAt": "<string>",
  "deletedAt": "<string>",
  "footerLinks": [
    {
      "links": [
        {
          "text": "<string>",
          "url": "<string>",
          "id": "<string>"
        }
      ],
      "title": "<string>",
      "id": "<string>"
    }
  ],
  "name": "<string>",
  "pageContext": "<string>",
  "pageId": "<string>",
  "pageType": "inbound",
  "scripts": [
    {
      "content": "<string>",
      "enabled": true,
      "injectionPoint": "head",
      "name": "<string>",
      "description": "<string>"
    }
  ],
  "status": "archived",
  "title": "<string>",
  "updatedAt": "<string>",
  "headerActionId": "<string>",
  "metadata": {
    "title": "<string>",
    "description": "<string>",
    "keywords": [
      "<string>"
    ],
    "author": "<string>",
    "robots": [
      "index"
    ],
    "canonicalUrl": "<string>",
    "ogTitle": "<string>",
    "ogDescription": "<string>",
    "ogType": "website",
    "ogImageUrl": "<string>",
    "ogImageFileId": "<string>",
    "ogImageAlt": "<string>",
    "ogSiteName": "<string>",
    "ogUrl": "<string>",
    "twitterCard": "summary",
    "twitterTitle": "<string>",
    "twitterDescription": "<string>",
    "twitterImageUrl": "<string>",
    "twitterImageFileId": "<string>",
    "twitterImageAlt": "<string>",
    "twitterSite": "<string>",
    "twitterCreator": "<string>",
    "themeColor": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

page_id
string
required

page_id parameter

Body

application/json

The body is of type object.

Response

Page created successfully

actions
object[]
required
actionCardWidgets
object[]
required
archivedAt
string | null
required
Pattern: ^\+[1-9]\d{1,14}$
audiencesCount
integer
required
Required range: 0 <= x <= 9007199254740991
brandId
string
required
createdAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
deletedAt
string | null
required
Pattern: ^\+[1-9]\d{1,14}$
name
string
required
pageContext
string
required
pageId
string
required
pageType
enum<string>
required
Available options:
inbound,
outbound,
call_followup,
sales_deck,
custom
scripts
object[]
required
status
enum<string>
required
Available options:
archived,
draft,
published
title
string
required
updatedAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
headerActionId
string
metadata
object